%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file gives u the feature points for
% Harris feature Point detector
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Make sure that ur current folder has three files
% 1) Harris.m
% 2) Harris_image.jpg
% 3) harris_test_for_image.m
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Simply execute this M file and watch the feature 
% points for the provided image
% Regards
% Kashif Shahzad
% Pakistan
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

snap=imread('Harris_image.jpg');
% Parameters for Cornet Detector
sigma=2;
thresh=700;
radius=5;
disp=0;

[crnr rws cols]=harris(snap,sigma,thresh,radius,disp);
imshow(snap);
hold on;
p=[cols rws];
plot(p(:,1),p(:,2),'or');
title('\bf\it Harris Corners')